var actionNode = jQuery('<div>',{'id':'m3d_action_wrapper'});	

function showAction(title, num, copy, mediaID) {	
	actionNode.appendTo('#m3d_content');
	actionNode.html('<div id="m3d_details"><h1 data-outlineshadowcolor="fff">'+title+'</h1>'+
					'<img id="m3d_arrow" src="img/actions/arrow.png" />'+
					'<img id="m3d_actionimg" src="img/actions/actions_'+num+'.jpg" />'+
					'<p id="m3d_text">'+copy+'</p></div>'+
					'<div id="m3d_video"></div>');
					
	$('#m3d_details').fadeIn(fadeTime*2);				
	showVideo(mediaID);
	
	$('[data-outlineshadowcolor]').each(function() {	
		$(this).setOutlineShadow($(this).data('outlineshadowcolor'), 2);
	});
	
	if ($('#m3d_action_wrapper h1').css('height') >= '35px') {
		$('#m3d_action_wrapper h1').css({
			'font-size': '22px',
			'top': '12px'
		});
	} else {
		$('#m3d_action_wrapper h1').css({
			'font-size': '24px',
			'top': '11px'
		});
	}
}

function showVideo(mediaID) {
/*	$('#m3d_video').html('<span class="LimelightEmbeddedPlayer"><object type="application/x-shockwave-flash" id="limelight_player_636340" name="limelight_player_636340" class="LimelightEmbeddedPlayerFlash" width="457" height="257" data="http://assets.delvenetworks.com/player/loader.swf"><param name="movie" value="http://assets.delvenetworks.com/player/loader.swf"/><param name="wmode" value="window"/><param name="allowScriptAccess" value="always"/><param name="allowFullScreen" value="true"/><param name="flashVars" value="mediaId='+mediaID+'&amp;playerForm=053dca2370434e4498259f5f53c89073&amp;autoplay=true&amp;defaultQuality=3500"/></object><script>LimelightPlayerUtil.initEmbed("limelight_player_636340");</script></span>'); */
}
	
jQuery('document').ready(function() 
{
	var TIMEOUT_ID = setTimeout(function() {$("#preloader").show();}, 200);
	$("#m3d_content").hide();
	imgPath = 'img/actions/';
	preloadImages.push(imgPath+'actions_01.jpg', imgPath+'actions_02.jpg', imgPath+'actions_03.jpg', imgPath+'actions_04.jpg', imgPath+'actions_05.jpg', imgPath+'actions_06.jpg', imgPath+'actions_07.jpg', imgPath+'actions_08.jpg', imgPath+'actions_09.jpg', imgPath+'actions_10.jpg', imgPath+'actions_11.jpg', imgPath+'actions_12.jpg', imgPath+'actions_13.jpg', imgPath+'arrow.png', imgPath+'btn.png', imgPath+'btn_rollover.png', 'img/_shared/video_bg_medium.png');
	$(preloadImages).preloadImages(function(){
		clearTimeout(TIMEOUT_ID);
		$("#preloader").hide();
		$('#m3d_content').fadeIn(fadeTime);
	});
	
	var currentPage = $('#m3d_actions01');
	var title = $('#m3d_actions01').children('p').html();
	var num = $('#m3d_actions01').attr('id').substr(11);
	var copy = $('#m3d_actions01').data('copy');
	
	showAction(title, num, copy, mediaIds[$('#m3d_actions01').attr('id')]);
	
	$('#m3d_actions li a').click(function() {
		$(currentPage).removeClass('active');
		currentPage = $(this);
		$(currentPage).addClass('active');
		$(currentPage).children('.m3d_hoverimg').hide();
		
		title = $(this).children('p').html();
		title = title.split('<br>').join(' ');
		num = $(this).attr('id').substr(11);
		copy = $(this).data('copy');
		
		showAction(title, num, copy, mediaIds[$(this).attr('id')]);
		
		if (num != '01') $('#m3d_action_wrapper #m3d_actionimg').css('left', '112px');
		else {$('#m3d_action_wrapper #m3d_actionimg').css('left', '1px')}
		
		zog.manual.send({pos: "Actions/"+num}, this);	
	})	
	
	AFX.defineHover('#m3d_actions li a');
})
