var sticker1 = false;
var sticker2 = false;
var mouseX;
var mouseY;

$.fn.hitTest = function(x, y, offset){
    var bounds = this.offset();
    bounds.right = bounds.left + this.outerWidth();
    bounds.bottom = bounds.top + this.outerHeight();
	//var offset = 50;
    if(x >= bounds.left-offset){
        if(x <= bounds.right+offset){
            if(y >= bounds.top-offset){
                if(y <= bounds.bottom+offset){
                    return true;
                }
            }
        }
    }
    return false;
}
	
jQuery('document').ready(function() 
{
	var TIMEOUT_ID = setTimeout(function() {$("#preloader").show();}, 200);
	$("#m3d_content").hide();
	imgPath = 'img/home/';
	preloadImages.push(imgPath+'btn_preorder.png', imgPath+'btn_preorder_rollover.png', imgPath+'intro_txt.png', imgPath+'sticker_01.png', imgPath+'sticker_01_rollover.png', imgPath+'sticker_01_line.png', imgPath+'sticker_02.png', imgPath+'sticker_02_rollover.png', imgPath+'sticker_02_line.png', imgPath+'video_bg.png');
	$(preloadImages).preloadImages(function(){
		clearTimeout(TIMEOUT_ID);
		$("#preloader").hide();
		$('#m3d_content').fadeIn(fadeTime);
	});

	$('.m3d_imgfade').each(function() {
		$('li',this).css('position','absolute');
		var fadeObj = $(this);
		$('li:not(:first)', this).hide();
		setInterval( 
			function(){
			$('li:first-child', fadeObj).hide();
			$('li:nth-child(2)', fadeObj).fadeIn(fadeTime*4);
			$(fadeObj).append($('li:first-child', fadeObj));
		},6000) 
	});
	
	
	$(document).mousemove(function(e){
	    mouseX = e.pageX;
		mouseY = e.pageY;
	});
	
	$('#m3d_sticker1_trigger, #m3d_sticker_chars, #m3d_stickerline1').hover(function(){
		if (!sticker1 && $('.overlay').length == 0) {
			sticker1 = true;
			$('#m3d_stickerline1').show();
			$('#m3d_sticker_chars').show();
			$('#m3d_sticker_chars').addClass('m3d_sticker_scale');
			$('#m3d_sticker1_outtrigger').show();
		}
	}, function(){});
	
	$('#m3d_sticker1_outtrigger').hover(function(){}, function() {
		hideSticker1();
	});

	function hideSticker1(force) {
		if (sticker1 && !$('#m3d_sticker1_trigger').hitTest(mouseX, mouseY, 0) && !$('#m3d_sticker_chars').hitTest(mouseX, 	mouseY, 50) || force) {
			sticker1 = false;	
			$('#m3d_stickerline1').hide();
			$('#m3d_sticker_chars').hide();
			$('#m3d_sticker_chars').removeClass('m3d_sticker_scale');
			$('#m3d_sticker1_outtrigger').hide();
		}	
	}

	function hideSticker2(force) {
		if (sticker2 && !$('#m3d_sticker2_trigger').hitTest(mouseX, mouseY, 0) && !$('#m3d_sticker_cat').hitTest(mouseX, mouseY, 50) || force) {
			sticker2 = false;	
			$('#m3d_stickerline2').hide();
			$('#m3d_sticker_cat').hide();
			$('#m3d_sticker_cat').removeClass('m3d_sticker_scale');
			$('#m3d_sticker2_outtrigger').hide();
		}	
	}
	$('#m3d_sticker_cat, #m3d_sticker_chars').hover(function(){}, function(){
		if (mouseX < 70) {
			hideSticker1(true);
			hideSticker2(true);
		}
	});
	
	$('#m3d_sticker2_trigger').hover(function(){
		if (!sticker2 && $('.overlay').length == 0) {
			sticker2 = true;	
			$('#m3d_stickerline2').show();
			$('#m3d_sticker_cat').show();
			$('#m3d_sticker_cat').addClass('m3d_sticker_scale');
			$('#m3d_sticker2_outtrigger').show();
		}	
	}, function(){});
	
	$('#m3d_sticker2_outtrigger').hover(function(){}, function() {
		hideSticker2();
	});
	
	$('#m3d_preorder, #m3d_trailer, #m3d_nav li a').hover(function(){hideSticker1(); hideSticker2();}, function(){});
	AFX.defineHover('#m3d_preorder, #m3d_trailer, #m3d_sticker_chars, #m3d_sticker_cat');
})
