

(function($){
	 $.fn.setOutline = function(o, c) {  
		return this.css({
	  'text-shadow': '-'+c+'px -'+c+'px 1px #'+o+', '+c+'px -'+c+'px 1px #'+o+', -1px 1px 1px #'+o+', '+c+'px '+c+'px 1px #'+o+', -'+c+'px 0px 1px #'+o+', '+c+'px -1px 0px #'+o+', 0px '+c+'px 1px #'+o+', 0px -'+c+'px 1px #'+o+', -'+c+'px -'+c+'px 1px #'+o+', '+c+'px -'+c+'px 1px #'+o+', -1px 1px 1px #'+o+', '+c+'px '+c+'px 1px #'+o+', -'+c+'px 0px 1px #'+o+', '+c+'px -1px 0px #'+o+', 0px '+c+'px 1px #'+o+', 0px -'+c+'px 1px #'+o
	 })
	 };  
})(jQuery);

(function($){
	 $.fn.setOutlineShadow = function(o, c) {  
		return this.css({'letter-spacing': '1px',
	  'text-shadow': '-'+c+'px -'+c+'px 1px #'+o+', '+c+'px -'+c+'px 1px #'+o+', -1px 1px 1px #'+o+', '+c+'px '+c+'px 1px #'+o+', -'+c+'px 0px 1px #'+o+', '+c+'px -1px 0px #'+o+', 0px '+c+'px 1px #'+o+', 0px -'+c+'px 1px #'+o+', -'+c+'px -'+c+'px 1px #'+o+', '+c+'px -'+c+'px 1px #'+o+', -1px 1px 1px #'+o+', '+c+'px '+c+'px 1px #'+o+', -'+c+'px 0px 1px #'+o+', '+c+'px -1px 0px #'+o+', 0px '+c+'px 1px #'+o+', 0px -'+c+'px 1px #'+o
	  +', 1px 1px 3px #000, 1px 1px 3px #000, 1px 1px 3px #000'
	 })
	 };  
})(jQuery);

Array.prototype.remove = function(element) {
	for (var i = 0; i < this.length; i++) {
		if (this[i] == element) {this.splice(i,1); }
	}
};

$.fn.preloadImages = function(callback) {

	if (Utils.isIE8under) {
		callback();
	}	
	else {	
		var checklist = this.toArray();
		this.each(function(i) {
			$('<img>').attr({ src: this }).load(function() {
				checklist.remove($(this).attr('src'));		
				if (checklist.length == 0) { callback(); }
			});
		});
	}	
};

function Utils() {

}

Utils.isiOS = !!navigator.userAgent.match(/(iPod)|(iPhone)|(iPad)/i);
Utils.isWii = !!navigator.userAgent.match(/(Nintendo Wii)/i);
Utils.isAndroid = !!navigator.userAgent.match(/(Android)/i);
Utils.is3DS = !!navigator.userAgent.match(/(3DS)/i);
Utils.isChrome = !!navigator.userAgent.match(/(Chrome)/i);
Utils.isIE8under = jQuery.browser.msie && parseInt(jQuery.browser.version) <= 8;
Utils.isIEmin9 = jQuery.browser.msie && parseInt(jQuery.browser.version) >= 9;
Utils.isIE = jQuery.browser.msie;
Utils.isTouchScreen = Utils.isiOS || Utils.isAndroid;
Utils.isMobile = Utils.isiOS || Utils.isAndroid || Utils.isWii || Utils.is3DS;
Utils.isHTML5Audio = !!document.createElement('audio').volume;
//Utils.isFlash = swfobject != 'undefined' && swfobject.getFlashPlayerVersion().major !== 0 ? true : false;

Utils.isInView = function(el) {

	var target = window.parent.parent.window;

	var docTop = $(target).scrollTop();
	var docBottom = docTop + $(target).height();
	
	var elTop = $(el).offset().top;
	var elBottom = elTop + $(el).height();
	return ((elBottom >= docTop) && (elTop <= docBottom));
	
}  

/*
Utils.rollOverSFX = function(id, sfx) {
	if (!Utils.isiOS && !Utils.isAndroid && !Utils.is3DS) {	
		$(id).hover(
			function() { 
				Utils.startSFX(sfx);
			}, 
			function() {}
		);
	}
}
*/

Utils.getCurrentPage = function() {
	var path = window.location.pathname;
	var currentPage = path.substring(path.lastIndexOf('/') + 1).split('.')[0];
	return currentPage;
}

Utils.showCustomVideo = function(mediaID, topOffset, onComplete) 
{	
	$('.overlay').remove();
	if (onComplete == undefined) onComplete = function(){}
	
	videoOverlay = jQuery('<div>',{'class':'overlay'}),
	videoClose = jQuery('<a>',{'class':'close','href':'#'}),
	
	videoOverlay.appendTo('.wrapper');
	
	videoOverlay.html('<iframe class="iframe" width="682" height="384" src="http://www.youtube.com/embed/'+mediaID+'?autoplay=1&rel=0" frameborder="0" allowfullscreen></iframe>');
	videoClose.appendTo(videoOverlay);
	
	videoOverlay.css({'opacity': 0, 'top': topOffset}).animate({
	  opacity: 1
	}, 500);
	
	videoClose.click(function() {
		$(this).attr('href','javascript:void(0)');
		onComplete();
		tempUnmuteSound();
		$('#mas_trailerbutton').fadeIn(200);
		$('.iframe').hide();
		Utils.killVideo();
	});
	
	$('.mas_hoverimg').hide();
	$('#mas_trailerbutton').fadeOut(100);
	
	tempMuteSound();
	
	jQuery('.close').on('click', function(){zog.manual.send({pos: "Home/Close Trailer"}, this);}); 
//	Utils.muteSound();
}

Utils.showVideo = function(mediaID, title, topOffset, size, mute, scrolling, onComplete) 
{	
	$('.overlay').remove();
	
	title = title.split('<br>').join(' ');
	
	var playerWidth = 780;
	var playerHeight = 439;
	
	if (topOffset == undefined) topOffset = 0;
	if (mute == undefined) mute = true;
	if (size == undefined) size = 'S';
	if (onComplete == undefined) onComplete = function(){}
	if (scrolling == undefined) scrolling = 200;
	
	if ($.type(title) != 'string') {
		
		var target = title.target;
		
		if ($(target).data('title') != undefined) {
			title = $(target).data('title');
		}
		else if ($(target).children().data('title') != undefined) {
			title = $(target).children().data('title');
		}
		else if ($(target).parent().children().data('title') != undefined) {
			title = $(target).parent().children().data('title');
		}
		else {
			if ($(target).hasClass('pik_hoverimg')) {
				title = $(target).parent().children('[data-title]').data('title');
			}
			else if (target.nodeName == 'A')
				title = $(target).text();
			else {
				title = $(target).parent().text();	
			}
		}
	} 
	
	if (size == 'S') {
		mediaDescription = '';
		playerWidth = 400;
		playerHeight = 240;
	}
	if (size == 'L') {
		playerWidth = 758;
		playerHeight = 427;
	}
	
	videoOverlay = jQuery('<div>',{'class':'overlay overlay-video'});
	videoClose = jQuery('<a>',{'class':'close','href':'#'});
	
	videoOverlay.appendTo('#'+Utils.pID+'_video');
	
	videoOverlay.html('<div class="box-video"><h2 class="'+Utils.pID+'_videotitle">'+title+'</h2><span class="LimelightEmbeddedPlayer"><object type="application/x-shockwave-flash" id="limelight_player_636340" name="limelight_player_636340" class="LimelightEmbeddedPlayerFlash" width="'+playerWidth+'" height="'+playerHeight+'" data="http://assets.delvenetworks.com/player/loader.swf"><param name="movie" value="http://assets.delvenetworks.com/player/loader.swf"/><param name="wmode" value="window"/><param name="allowScriptAccess" value="always"/><param name="allowFullScreen" value="true"/><param name="flashVars" value="mediaId='+mediaID+'&amp;playerForm=053dca2370434e4498259f5f53c89073&amp;autoplay=true&amp;defaultQuality=3500"/></object><script>LimelightPlayerUtil.initEmbed("limelight_player_636340");</script></span><p class="'+Utils.pID+'_videodescription">'+mediaDescription+'</p></div>');
	videoClose.appendTo(videoOverlay);
	
	if (size == 'S') {		
		$('.overlay').css({
		'background': 'url(img/_shared/bg_videoplayer.png) 0 0 no-repeat',
		'width' : 470,
		'height' : 380,
		'left' : 190
		});
		$('.box-video .pik_videotitle').css({
		'top' : 33
		});
		$('.overlay-video').css({
		'padding' : '97px 0 0 67px'	
		});
		$('.box-video p').css({
		'width' : 398	
		});
		$('.overlay a.close').css({
		'right' : 45,
		'top' : 40
		});	
	}
	if (size == 'L') {
	
		$(Utils.target.document).scrollTop(scrolling);
		
		/*$('.overlay').css({
		'background': 'url(img/_shared/videoplayer_bg.png) 0 0 no-repeat',
		'width' : 899,
		'height' : 555,
		'left' : 0
		});
		$('.box-video .pik_videotitle').css({
		'top' : 24
		});
		$('.overlay-video').css({
		'padding' : '97px 0 0 67px'	
		});
		$('.box-video p').css({
		'width' : 780	
		});
		$('.overlay a.close').css({
		'right' : 45,
		'top' : 40
		});	*/
	}
	
	videoOverlay.css({'opacity': 0, 'top': topOffset}).animate({
	  opacity: 1
	}, 500);
	
	videoClose.click(function() {
		onComplete();
		$(this).attr('href','javascript:void(0)');
		Utils.killVideo();
	});
	
	if (mute)
		Utils.muteSound();
}

Utils.killVideo = function() {
	$('.overlay').remove();
	if (!parent.audioPlayer.isMuted) {
		parent.audioPlayer.unmute();		
	}
	parent.audioPlayer.play();
}

Utils.init = function(pID, target) 
{	
	Utils.pID = pID;
	Utils.target = target;
	Utils.sub = '';	 
		
	Utils.fadeTime = 200;
	if (Utils.isIE8under) {Utils.fadeTime = 1;}
	
	$(Utils.target.document).scrollTop(145);

	if ($.url.param('page')) 
	{	
		var s = '';
	
		if ($.url.param('sub')) {		
			s = "?sub="+$.url.param('sub');
		}
		
		window.location.href = $.url.param('page')+'.html'+s;
	}
	if ($.url.param('sub')) {		
		Utils.sub = $.url.param('sub');
	}
	
	$('a[href="#"]').click(function(event){
		event.preventDefault();
	});
}

Utils.initNOELink = function() {
	$('a.external_blank').click(function (e) {
	  e.preventDefault();
	  var url = $(this).attr('href');
	  Utils.target.$.colorbox({transition:'fade', speed:300,opacity:0.5, fixed:true, width:'912', html:Utils.target.$("#external_blank").parent().html() });
	  Utils.target.$(".continue").attr('href',url);
	  Utils.target.$(".cancel").click(function (e) {e.preventDefault(); Utils.target.$.colorbox.close();});
	});	
}

Utils.setBackground = function(bgimg, bgcolor, bgwidth, bgheight) {
	if (bgimg != 'none') {
		Utils.target.document.body.style.background=bgcolor; 
		Utils.target.document.body.style.backgroundImage="url("+SHARED_PATH+"wallpaper/"+bgimg+")";
		Utils.target.document.body.style.backgroundRepeat="no-repeat";	
		Utils.target.document.body.style.backgroundPosition="center top";
		Utils.target.document.body.style.backgroundSize=bgwidth+"px "+bgheight+"px";
	}
}

Utils.checkForImgFades = function() {
	$('.'+Utils.pID+'_imgfade').each(function() {
		$('li',this).css('position','absolute');
		var fadeObj = $(this);
		$('li:not(:first)', this).hide();
		setInterval( 
			function(){
			$('li:first-child', fadeObj).hide();
			$('li:nth-child(2)', fadeObj).fadeIn(300);
			$(fadeObj).append($('li:first-child', fadeObj));
		},3000) 
	});
}

 

 /***********************************************************************************************************
 *                                                -= AFX =-
 ***********************************************************************************************************/

function AFX() {
	// static
}

AFX.defineHover = function(id) {	
	if(!Utils.isMobile) {
		$(id).hover(
			function() {
				if (!$(this).hasClass('active')) {
					$(this).children('.'+Utils.pID+'_hoverimg').stop().fadeIn(Utils.fadeTime);
				}
			}, 
			function() {	
				if (!$(this).hasClass('active')) {
					$(this).children('.'+Utils.pID+'_hoverimg').stop().fadeOut(Utils.fadeTime);
				}
			}
		);
	}
}

AFX.setFloating = function(id, move, time) 
{
	if (time == null) time = 1000;
	
	$(id).animate({
		top: '+='+move
	}, time, 'easeInOutQuad', function() {AFX.setFloating(id, move*-1, time)});
}

AFX.setShaking = function(id, dir, cnt) {	
				
	cnt--;

	if (cnt <= 0) {
		
		if ($(id).css('visibility') == 'visible') {
			$(id).css('visibility', 'hidden');
			cnt = Math.random()*30+200;
		} else {
			$(id).css('visibility', 'visible');
			cnt = Math.random()*200+500;
		}
	}
		
	$(id).stop().animate({
		marginLeft:  (Math.random()*1.1*dir) + 'px'
		}, Math.random()*10,  function () {AFX.setShaking(id, -1*dir, cnt); }
	)	

}

AFX.setGlow = function(id, time) {
	if (time == undefined) time = 500;
	if (!Utils.isIE8under) {		
		$(id).fadeIn(time, function() {$(id).fadeOut(time, function() {AFX.setGlow(id)})})
	}
}

AFX.setZoom = function(trigger, widthBase, heightBase, widthZoom, heightZoom, pivot)
{
	if (trigger == '.trigger') {	
		var id = '.zoomImg';		
	}
	
	if (!Utils.isiOS && !Utils.isAndroid && !Utils.is3DS) {
		
		var leftOffset = 0;
		var topOffset = 0;
		
		if (pivot == 'center') {
			leftOffset = widthZoom * 0.25;
			topOffset = heightZoom * 0.25;
		} else if (pivot == 'leftBottom') {
			leftOffset = 12;
			topOffset = heightZoom * 0.60;
		}	
		
		$(trigger).hover(function() {
		
			var fadetime = 'fast';		
		
			// hover in
			$(this).parent().parent().css("z-index", 6);			
			$(id).css('visibility', 'visible');		
			$(id).animate({
				width: widthZoom,
				height: heightZoom,
				left: "-="+leftOffset,
				top: "-="+topOffset
			}, fadetime, 'easeOutQuad');
		}, function() {
			// hover out
			$(id).animate({
				width: widthBase,
				height: heightBase,
				left: "+="+leftOffset,
				top: "+="+topOffset
			}, "fast", 'easeInQuad', function(){
				$(id).css('visibility', 'hidden');
			});
		});
	
		$(id).each(function() {
			$(this).css('width', widthBase);
			$(this).css('height', heightBase);
		});
	}
}