var layerBottomNode = jQuery('<div>',{'id':'m3d_layer_bottom'});
var layerTopNode = jQuery('<div>',{'id':'m3d_layer_top'});

function setTopLayer(title, copy, mediaID, target) {
	layerTopNode.appendTo('#m3d_content');
	layerTopNode.html('<img id="m3d_bg" src="img/game_world/video_layer.png"/>'+
						'<div id="m3d_layercontent"><h1 data-outlineshadowcolor="fff">'+title+'</h1>'+
						'<a class="m3d_close" href="#"></a>'+
						'<div id="m3d_video"></div>'+
						'<p>'+copy+'</p></div>');
	
	$('#m3d_layer_top').show();
	$('#m3d_layer_top').css({
		top: 760, 
		left: 450
	});
	
	$('#m3d_layer_top img').css({width: 0, height: 0});
	$('#m3d_layer_top img').stop().animate({
		width: '576px',
		height: '493px',
	}, fadeTime*1, 'easeInOutQuad');
	
	$('#m3d_layer_top').stop().animate({
		left: '168px',
		top: '526px',
		width: '576px',
		height: '493px'
		//opacity: '1'
	}, fadeTime*1, 'easeInOutQuad', function() {
		$('#m3d_layercontent').fadeIn(fadeTime*2, showVideo(mediaID)); /*showVideo(mediaID);*/
	});
	
	if ($('#m3d_layer_top h1').css('height') > '35px') {	
		$('#m3d_layer_top h1').css('top', '30px');
	}
	$('#m3d_layercontent').hide();
	
	$('.m3d_close').click(function(event) {
		event.preventDefault();
		$('#m3d_video').html(' ');
		$('#m3d_layer_top').fadeOut(fadeTime);
		
	})
	
	$('[data-outlineshadowcolor]').each(function() {	
		$(this).setOutlineShadow($(this).data('outlineshadowcolor'), 2);
	});
}

function showVideo(mediaID) {
/*	$('#m3d_video').html('<span class="LimelightEmbeddedPlayer"><object type="application/x-shockwave-flash" id="limelight_player_636340" name="limelight_player_636340" class="LimelightEmbeddedPlayerFlash" width="321" height="181" data="http://assets.delvenetworks.com/player/loader.swf"><param name="movie" value="http://assets.delvenetworks.com/player/loader.swf"/><param name="wmode" value="window"/><param name="allowScriptAccess" value="always"/><param name="allowFullScreen" value="true"/><param name="flashVars" value="mediaId='+mediaID+'&amp;playerForm=053dca2370434e4498259f5f53c89073&amp;autoplay=true&amp;defaultQuality=3500"/></object><script>LimelightPlayerUtil.initEmbed("limelight_player_636340");</script></span>');*/
}

function setBottomLayer(title, scr, copy) {
	layerBottomNode.appendTo('#m3d_content');
	layerBottomNode.html('<img id="m3d_scr" src="img/game_world/scr_'+scr+'.jpg" />'+
							'<h1 data-outlineshadowcolor="fff">'+title+'</h1>'+
							'<p>'+copy+'</p>'+
							'<a class="m3d_close" href="#"></a>');
	
	$('#m3d_layer_bottom').fadeIn(fadeTime*2);
							
	$('.m3d_close').click(function(event) {
		event.preventDefault();
		$('#m3d_layer_bottom').fadeOut(fadeTime);
	
	})
	
	$('[data-outlineshadowcolor]').each(function() {	
		$(this).setOutlineShadow($(this).data('outlineshadowcolor'), 2);
	});

	if ($('#m3d_layer_bottom h1').css('width') > '286px') {
		$('#m3d_layer_bottom h1').css('font-size', '20px');
	}
}
	
jQuery('document').ready(function() 
{
	var TIMEOUT_ID = setTimeout(function() {$("#preloader").show();}, 200);
	$("#m3d_content").hide();
	imgPath = 'img/game_world/';
	preloadImages.push(imgPath+'scr_layer.jpg', imgPath+'video_layer.png', imgPath+'btn_01.png', imgPath+'btn_01_rollover.png', imgPath+'btn_02.png', imgPath+'btn_02_rollover.png', imgPath+'btn_03.png', imgPath+'btn_03_rollover.png', imgPath+'btn_04.png', imgPath+'btn_04_rollover.png', imgPath+'btn_05.png', imgPath+'btn_05_rollover.png', imgPath+'btn_06.png', imgPath+'btn_06_rollover.png', imgPath+'btn_circle.png', imgPath+'btn_world_01.png', imgPath+'btn_world_01_rollover.png', imgPath+'btn_world_02.png', imgPath+'btn_world_02_rollover.png', imgPath+'scr_01.jpg', imgPath+'scr_02.jpg', imgPath+'scr_03.jpg', imgPath+'scr_04.jpg', imgPath+'scr_05.jpg', imgPath+'scr_06.jpg', 'img/_shared/video_bg_small.png');
	$(preloadImages).preloadImages(function(){
		clearTimeout(TIMEOUT_ID);
		$("#preloader").hide();
		$('#m3d_content').fadeIn(fadeTime);
	});
	
	var title = '';
	var scr = '';
	var copy = '';
	
	$('#m3d_map a').click(function() {
		title = $(this).data('title');
		copy = $(this).data('copy');
		setTopLayer(title, copy, mediaIds[$(this).attr('id')], $(this).parent());
		
	})
	
	$('#m3d_game_elements ul li a').click(function() {
		title = $(this).children('p').html().split('<br>').join(' ');
		scr = $(this).attr('id').substr(9);
		copy = $(this).data('copy');
		setBottomLayer(title, scr, copy);
		
	})
	
	AFX.defineHover('#m3d_selectworld, #m3d_selectworld_2, #m3d_game_elements ul li a');
})
