var LANG = 'EN_GB';
var SHARED_PATH = 'shared/';
var WALLPAPER_HOME = {name:'home_quotes.jpg', height: 1206};

var headerHTML = '<a id="m3d_logo_wiiu" href="http://www.nintendo.co.uk/Wii-U/Wii-U-344102.html" target="_top"><img src="img/_shared/logo_wiiu.png" /></a>';

var navHTML = '<li><a id="m3d_navbtn01" href="story.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Story</p></a></li>'+
			'<li><a id="m3d_navbtn02" href="characters.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Characters</p></a></li>'+
			'<li><a id="m3d_navbtn03" href="power_ups.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Power-ups</p></a></li>'+
			'<li><a id="m3d_navbtn04" href="actions.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Actions</p></a></li>'+
			'<li><a id="m3d_navbtn05" href="game_world.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Game World</p></a></li>'+
			'<li><a id="m3d_navbtn06" href="multiplayer_1.html"><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p>Multiplayer</p></a></li>'+
			'<li><a id="m3d_navbtn07" href="new_for_wiiu_1.html"><img id="m3d_gamepad" src="img/_shared/navi_wiiu.png" /><img class="m3d_hoverimg" src="img/_shared/navi_btn_rollover.png" /><p class="m3d_twolines">New for<br/>Wii U</p></a></li>';

var footerHTML = '<div id="m3d_footer_packshot">'+
					'<div><img class="trigger" src="img/_shared/spacer.gif" /></div>'+
					'<div id="zoomDiv"><div class="zoom"><img class="zoomImg" src="img/_shared/footer_packshot_big.png" /></div></div>'+
					'<img id="m3d_packshot_small" src="img/_shared/footer_packshot.png" />'+
				'</div>'+
				'<ul id="m3d_gamedetails">'+
					'<li><p><span>Release date:</span> 29th November 2013</p></li>'+
					'<li><p><span>Publisher:</span> Nintendo</p></li>'+
					'<li><p style="margin-right: 5px;"><span>Genre:</span> Platformer</p><p style="margin-right: 5px;"><span>/</span></p><p><span>Players:</span> 1 – 4</p></li>'+
				'</ul>'+
				'<a id="m3d_footer_agerating" href="http://www.nintendo.co.uk/Support/Parents/The-PEGI-age-rating-system/The-PEGI-age-rating-system--660719.html" target="_blank"><img src="img/_shared/agerating.png"></a>'+
				'<a id="m3d_footer_network" href="http://www.nintendo.co.uk/Wii-U/Download-Content/Nintendo-Network-Premium/Nintendo-Network-Premium-672588.html" target="_blank"><img src="img/_shared/footer_network.png"></a>'+
				'<a id="m3d_footer_miiverse" href="http://www.nintendo.co.uk/Wii-U/System-Software/Miiverse/Miiverse-666621.html" target="_blank"><img src="img/_shared/footer_miiverse.png"></a>'+
				'<a id="m3d_footer_remotes" href="http://store.nintendo.co.uk/elysium.search?search=wii+remote+plus+mario+luigi" target="_blank"><img class="m3d_hoverimg" src="img/_shared/footer_thumb_01_rollover.png"><p>Special edition Wii Remote Plus controllers available now!</p></a>'+
				'<a id="m3d_footer_iwata" href="http://www.nintendo.co.uk/Iwata-Asks/Iwata-Asks-Super-Mario-3D-World/Super-Mario-3D-World/1-Let-s-Put-Everything-In-/1-Let-s-Put-Everything-In--829449.html" target="_blank"><img class="m3d_hoverimg" src="img/_shared/footer_thumb_02_rollover.png"><p>Iwata Asks</p></a>';
	
/* MULTIPLAYER SECTIONS */
var mp_sections = {
	1: 'Play together',
	2: 'Compete',
	3: 'Jump in'
}	

/* NEW FOR WIIU SECTIONS */
var nfw_sections = {
	1: 'Wii U GamePad',
	2: 'Miiverse',
	3: 'Nintendo Network'
}
	
/* VIDEO IDs */
var mediaIds = {
	trailer: '116VjkMW1BU',
	story: '72f7c704e151459ea5c0fc95e07184a9',
	char_1: 'e5f6bb2017c746bebbab46ccfd3a7741',
	char_2: '9a4415a289414e39837f4077b777a1fc',
	char_3: 'f181135d46334c2b91025d1af48d3a5f',
	char_4: 'ddc026703c1a4b12b03970f830b693e9',
	m3d_actions01: '12ba67d8734743c9b11c5bceae9671b4',
	m3d_actions02: '7294952bf1db43ccab177a84e4d9bf57',
	m3d_actions03: '37b3cfac32fd447991094697a3d9ef54',
	m3d_actions04: '67c7477629ab451d8aafaa0cfe3efd58',
	m3d_actions05: '68542e7df289413596c6d79d3aef9ca3',
	m3d_actions06: '07295195622143ca997658fbb3cd503f',
	m3d_actions07: '08683d550e9f464eb2a59f171305530f',
	m3d_actions08: 'd6a49a147dad4bd28c2fce22d02a328b',
	m3d_actions09: 'f54a517150b64354aac96792db6295cd',
	m3d_actions10: '147ff2e82fe5422b90f3ae85290e3eaf',
	m3d_actions11: 'ae0f93c69dd341b6bb5f21aa2277601f',
	m3d_actions12: '3fe1fa24616248b9bbbc0252b0f62dec',
	m3d_actions13: '96784ecc3c154cc48a97a25c5a586e7b',
	m3d_mapitem01: '91feee0df3694a67a5ce3be0e39f164e',
	m3d_mapitem02: 'd316ee0d9a66482f8283318ad1ee92e1',
	m3d_mapitem03: '726f35ce3f0b4126a8f6b6d5a8c25a00',
	m3d_mapitem04: '0d32cd9453954ec2b43d0295cfe042a2',
	m3d_mapitem05: '7ca028b8b132425c9a38f3867d617a67',
	m3d_mapitem06: '460286ec323440798a7e41baa3fea27a',
	m3d_mapitem07: 'e01b41253db24138990c775729b56f5e',
	m3d_mapitem08: 'c138cdf5d1a64d6f85d36a03f8d8e9c3',
	m3d_mapitem09: 'ed8317b42ae34346b35a75d85842bedf',
	m3d_mapitem10: '8902c89877b248a2996c5eac6a17b8e5',
	m3d_text_new_1: 'a9007a1431274c2fa15665b709df0b6f',
	m3d_text_new_2: '758514f2e02647a1a035027006dc3523',
	m3d_text_new_3: '140571688b5343688bbf8bed8fa31bcc',
	m3d_text_new_4: 'b49ddb7e23b84453aea865435495ff0d',
	m3d_text_new_5: '6d254eb52ea54f729cea7ad5c31f0330',
	multiplayer_1: 'f9488835b9074e069b5c3b1688fd62cc',
	multiplayer_2: '9e26c8483de14cf3b7bfba9f6afb320e',
	multiplayer_3: 'fa922b4a3d5947caae71b9ca97c52cdd',
	new_for_wiiu_1: '95129bfb75a64c0f829ebf430f52111a',
	new_for_wiiu_2: 'db554463006e400281fb6bfd103623e9',
	new_for_wiiu_3: 'a731e4b11a044777ac842f55abb4bda2'
};
