var fadeTime = 300;
var opacity = 0;
var imgPath = 'img/_shared/';
var preloadImages = [imgPath+'agerating.png', imgPath+'footer_miiverse.png', imgPath+'footer_network.png', imgPath+'btn_close.png', imgPath+'footer_packshot.png', imgPath+'footer_packshot_big.png', imgPath+'footer_thumb_01.png', imgPath+'footer_thumb_01_rollover.png', imgPath+'footer_thumb_02.png', imgPath+'footer_thumb_02_rollover.png', imgPath+'logo_supermario3dworld.png', imgPath+'logo_wiiu.png', imgPath+'navi_btn.png', imgPath+'navi_btn_rollover.png', imgPath+'navi_wiiu.png', imgPath+'navi_btn.png'];
var MAX_TRACKS = 6;
var audioNode;

function setHeader() {	
	headerNode = jQuery('<div>',{'id':'m3d_head'});	
	headerNode.appendTo('.wrapper');	
	if(Utils.getCurrentPage() != 'home') {
		headerHTML += '<a id="m3d_logo" href="home.html"><img src="img/_shared/logo_supermario3dworld.png"/></a>';	
	}
	headerNode.html(headerHTML);
}

function setNav() {	
	NavNode = jQuery('<ul>',{'id':'m3d_nav'});	
	NavNode.appendTo('.wrapper');	
	NavNode.html(navHTML);
	
	var navLabels = {story: 1, characters: 2, power_ups: 3, actions: 4, game_world: 5, game_world_2: 5,  multiplayer_1: 6,  multiplayer_2: 6,  multiplayer_3: 6, new_for_wiiu_1: 7, new_for_wiiu_2: 7, new_for_wiiu_3: 7};
	$('#m3d_navbtn0'+navLabels[Utils.getCurrentPage()]).attr('class', 'active');	
}	

function setFooter() {	
	footerNode = jQuery('<div>',{'id':'m3d_footer'});	
	footerNode.appendTo('.wrapper');	
	footerNode.html(footerHTML);
}

var delvePlayerCallback = function (playerId, eventName, data) {

	//Extratoxic Player Registration Start
	var id = "limelight_player_636340";																															
	if (eventName == 'onPlayerLoad' && (DelvePlayer.getPlayers() == null || DelvePlayer.getPlayers().length == 0)) {
	  DelvePlayer.registerPlayer(id);
	}
	//Extratoxic Player Registration End	
	
	// Handle events fired by delvePlayer
	switch (eventName) {
		// New video loaded
		case "onMediaLoad":
			dpObj['videoname' + playerId] = data.title;
			dpObj['mediaLength' + playerId] = data.durationInMilliseconds;
			dpObj['startEvent' + playerId] = false;
			dpObj['mostEvent' + playerId] = false;
			break;
		// Play state changed (play, pause, buffer)    
		case "onPlayStateChanged":
			doOnPlayStateChanged(data);													//Extratoxic Funktion
			if (!dpObj['startEvent' + playerId] && data.isPlaying && !data.isBusy) {
				dpObj['startEvent' + playerId] = true;
				dpObj['timeInSec' + playerId] = dpObj['mediaLength' + playerId] / 1000;
				zog.video({
					vc: "play",
					vn: dpObj['videoname' + playerId],
					vl: dpObj['timeInSec' + playerId]
				})
			}
			break;
		// Fired aprox. every 300ms to get playback progress    
		case "onPlayheadUpdate":
		
			if (!dpObj['mostEvent' + playerId] && (data.positionInMilliseconds/dpObj['mediaLength' + playerId]).toFixed(4) > 0.8) {
				dpObj['mostEvent' + playerId] = true;
				dpObj['timeInSec' + playerId] = dpObj['mediaLength' + playerId] / 1000;
				zog.video({
					vc: "most",
					vn: dpObj['videoname' + playerId],
					vl: dpObj['timeInSec' + playerId]
				})
			}
			break;
	}
};	
function doOnPlayStateChanged(e) {

	if (e.isPlaying) {
		if (Utils.getCurrentPage() == 'story') 
			tempMuteSound();
	} else {
		if (Utils.getCurrentPage() == 'story') 
			tempUnmuteSound();
	}
}
	
function setAudio() {
	var audioNode = jQuery('<div>',{'id':'audio'});
	audioNode.appendTo('.wrapper');
	audioNode.html('<a href="#"></a>');
	
	$('#audio a').click(function(event) {
		event.preventDefault();
		toggleSound();
	});
}

function setAudioPlayer() {
	audioNode = jQuery('<div>',{'id':'audio'});
	audioNode.appendTo('.wrapper');
	var str = '';
	str += '<div id="audio_pager_prev"><a href="#"></a></div>';
	str += '<div id="audio_txt">'+parent.audioPlayer.trackNum+'</div>';
	str += '<div id="audio_pager_next"><a href="#"></a></div>';
	str += '<div id="audio_button"><a href="#"></a></div>';
	
	audioNode.html(str);
	
	parent.audioPlayer.setVolume(0.3);
	
	$('#audio_button a').click(function(event) {
		event.preventDefault();
		toggleSound();
	});
	if (parent.audioPlayer.isMuted) {
		parent.audioPlayer.mute();
		$('#audio a').removeClass('on');
		$('#audio a').addClass('off');
	}
	else {
		$('#audio a').removeClass('off');
		$('#audio a').addClass('on');
	}
	
	$('#audio_pager_next a').click(function(event) {
		
		event.preventDefault();
		nextTrack();
	});
	$('#audio_pager_prev a').click(function(event) {
		
		event.preventDefault();
		prevTrack();
	});
	
	if (Utils.getCurrentPage() == 'home') {
		$("#audio").css('top', '174px');
	} else {
		$("#audio").css('top', '236px');
	}
}

function muteSound() {
	parent.audioPlayer.mute();
}

function tempMuteSound() {
	parent.audioPlayer.tempMute();
}

function unmuteSound() {
	parent.audioPlayer.unmute();
}

function tempUnmuteSound() {
	parent.audioPlayer.tempUnmute();
}

function toggleSound() {
	parent.audioPlayer.toggle();
	if (parent.audioPlayer.isMuted) {
		
		$('#audio_button a').removeClass('on');
		$('#audio_button a').addClass('off');
	}
	else {
		
		$('#audio_button a').removeClass('off');
		$('#audio_button a').addClass('on');
	}
}

function nextTrack() {
	if (++parent.audioPlayer.trackNum > MAX_TRACKS) parent.audioPlayer.trackNum = 1;
	UpdateTrackNum();	
	parent.audioPlayer.changeTrack('track_'+parent.audioPlayer.trackNum);
}
function prevTrack() {
	if (--parent.audioPlayer.trackNum <= 0) parent.audioPlayer.trackNum = MAX_TRACKS;
	UpdateTrackNum();
	parent.audioPlayer.changeTrack('track_'+parent.audioPlayer.trackNum);
}

function UpdateTrackNum() {
	$("#iframe-microsite", window.parent.document).contents().find("#audio_txt").text(parent.audioPlayer.trackNum);

}
// INIT FUNCTION
	
jQuery('document').ready(function() 
{
	Utils.init('m3d', parent.parent);
	
	if (Utils.isIE8under) {
		fadeTime = 1;
		opacity = 1;
	}
	
	parent.$("#iframe-microsite").css("height", $(".wrapper").height());
	parent.parent.$("#iframe-microsite").css("height", $(".wrapper").height());
	
	var wpwidth = 2000;
	var wallpaper = {
		home: {file: WALLPAPER_HOME.name, width: wpwidth, height: WALLPAPER_HOME.height},
		story: {file: 'story.jpg', width: wpwidth, height: 1099},
		characters: {file: 'characters.jpg', width: wpwidth, height: 1334},
		actions: {file: 'actions.jpg', width: wpwidth, height: 1138},
		game_world: {file: 'gameworld_01.jpg', width: wpwidth, height: 1738},
		game_world_2: {file: 'gameworld_02.jpg', width: wpwidth, height: 1738},
		power_ups: {file: 'powerups.jpg', width: wpwidth, height: 1452},
		multiplayer_1: {file: 'multiplayer_01.jpg', width: wpwidth, height: 1513},
		multiplayer_2: {file: 'multiplayer_02.jpg', width: wpwidth, height: 1513},
		multiplayer_3: {file: 'multiplayer_03.jpg', width: wpwidth, height: 1513},
		new_for_wiiu_1: {file: 'newforwiiu.jpg', width: wpwidth, height: 1513},
		new_for_wiiu_2: {file: 'newforwiiu.jpg', width: wpwidth, height: 1513},
		new_for_wiiu_3: {file: 'newforwiiu.jpg', width: wpwidth, height: 1513}
	}
	var bgObj = wallpaper[Utils.getCurrentPage()];
	Utils.setBackground(bgObj.file, "#fafafa", bgObj.width, bgObj.height);	
		
	setHeader();
	setNav();
	setFooter();
	setAudioPlayer();
	
	Utils.initNOELink();
	
	tempUnmuteSound();
	
	if (!parent.audioActive) {
		$('#htmlAudio', window.parent.document).on("ended", function(){ nextTrack(); });
		parent.audioActive = true;
	}
	
	if (Utils.getCurrentPage() == 'home') {
		if (!parent.startTrailer) {
			parent.startTrailer = true;
		//	Utils.showCustomVideo(mediaIds.trailer, '295px')
		}
	}
	
	/*				TRAILER 			*/
	$('#m3d_trailer').click(function() {
		Utils.showCustomVideo(mediaIds.trailer, '225px');
	});
	
	$('[data-outlinecolor]').each(function() {	
		$(this).setOutline($(this).data('outlinecolor'), 2);
	});
	
	$('[data-outlineshadowcolor]').each(function() {	
		$(this).setOutlineShadow($(this).data('outlineshadowcolor'), 2);
	});

	AFX.defineHover('#m3d_nav li a, #m3d_footer_remotes, #m3d_footer_iwata');	
	AFX.setZoom(".trigger", 95, 131, 263, 350, 'leftBottom');
	
	
	
	
})



