var carouselNode = jQuery('<div>',{'id':'m3d_carousel_content'});	
var ImageNode = jQuery('<div>',{'id':'m3d_img_container'});	
var load_ID;
var carouselInit = false;

function loadImages() {
	ImageNode.appendTo('#m3d_content');
	var hiddenImg = '';
	for (var i = 1; i <= 5; i++) {
		hiddenImg += '<img src="img/power_ups/powerup_new_'+i+'_big.png" />';
	}	
	for (var i = 1; i <= 6; i++) {
		hiddenImg += '<img src="img/power_ups/powerup_classic_'+i+'_big.png" />';
	}
	ImageNode.html(hiddenImg);
}

function setCarouselImg(carouselID, imgNum) {
	carouselNode.appendTo('#m3d_carousel');
	var str = '';
	for (var i = 1; i <= imgNum; i++) {
		str += '<img class="cloudcarousel" src="img/power_ups/powerup_'+carouselID+'_'+i+'.png" alt="c"/>';
	}
	carouselNode.html(str);
}

function showVideo(mediaID) {
	$('#m3d_video').css('background', 'url(img/power_ups/video_bg.png)');
	$('#m3d_video').html('<span class="LimelightEmbeddedPlayer"><object type="application/x-shockwave-flash" id="limelight_player_636340" name="limelight_player_636340" class="LimelightEmbeddedPlayerFlash" width="380" height="214" data="http://assets.delvenetworks.com/player/loader.swf"><param name="movie" value="http://assets.delvenetworks.com/player/loader.swf"/><param name="wmode" value="window"/><param name="allowScriptAccess" value="always"/><param name="allowFullScreen" value="true"/><param name="flashVars" value="mediaId='+mediaID+'&amp;playerForm=053dca2370434e4498259f5f53c89073&amp;autoplay=true&amp;defaultQuality=3500"/></object><script>LimelightPlayerUtil.initEmbed("limelight_player_636340");</script></span>');
}

function showScreenshot(num) {
	$('#m3d_video').css('background', 'url(img/power_ups/scr_bg.png)');
	$('#m3d_video').html('<div><img style="opacity: 0; top: -300px;" src="img/power_ups/scr_classic_'+num+'.jpg" /></div>');
	$('#m3d_video').children('div').children('img').animate({
		'opacity': 1,
		'top': 0
	}, 350, 'easeInOutQuad');
}
	
jQuery('document').ready(function() 
{
	var TIMEOUT_ID = setTimeout(function() {$("#preloader").show();}, 200);
	$("#m3d_content").hide();
	imgPath = 'img/power_ups/';
	preloadImages.push(imgPath+'arrow_left.png', imgPath+'arrow_right.png', imgPath+'carousel_bg.png', imgPath+'btn.png', imgPath+'btn_rollover.png', imgPath+'sticker.png', imgPath+'video_bg.png', imgPath+'scr_bg.png', imgPath+'powerup_new_1_big.png');
	for (var i = 1; i <= 6; i++) {
		preloadImages.push(imgPath+'powerup_classic_'+i+'.png');
		preloadImages.push(imgPath+'scr_classic_'+i+'.jpg');
	}
	for (var i = 1; i <= 5; i++) {
		preloadImages.push(imgPath+'powerup_new_'+i+'.png');
	} 
	$(preloadImages).preloadImages(function(){
		clearTimeout(TIMEOUT_ID);
		$("#preloader").hide();
		$('#m3d_content').fadeIn(fadeTime);
	}); 
	
	loadImages();
		
	var carouselID = "new";
	var imgNum = 5;
	var mediaID = mediaIds[$('#m3d_text_new_1').attr('id')];
	var currentCar = '#m3d_new';
	
	function setCarousel(id) {
		if (id == 'm3d_new') {
			carouselID = 'new';
			imgNum = 5;
		} else {		
			carouselID = 'classic';	
			imgNum = 6;
		}
		
		$(currentCar).removeClass('active');
		currentCar = $('#'+id);
		$(currentCar).children('.m3d_hoverimg').css('display', 'none');
		$(currentCar).addClass('active');
		
		setCarouselImg(carouselID, imgNum);
		$("#m3d_carousel_content").css('opacity', '0');
		$("#m3d_carousel_content").CloudCarousel({      
			xPos: 282,
			yPos: 75,
			yRadius:25,
			xRadius: 190,
			minScale: 0.4,
			buttonLeft: $("#m3d_pageLeft"),
			buttonRight: $("#m3d_pageRight"),
			bringToFront: true,
			onChange: function(num, dir) {
				$('#m3d_video').html('');
				changeCarousel(num+1, dir);
				if (carouselInit) {	
				} else carouselInit = true;
			}
		});
		$("#m3d_carousel_content").stop().delay(300).animate({
			'opacity': 1
		}, fadeTime);
	}
	
	setCarousel('m3d_new');
	
	function changeCarousel(num, dir) {
		var id = "#m3d_text_"+carouselID+"_"+num;
		var title = $(id).data("title");
		var copy = $(id).data("body");
		var pos = 160;
		if (dir == 1) pos *= -1;
		mediaID = mediaIds[$("#m3d_text_"+carouselID+"_"+num).attr('id')];
		
		$("#m3d_carousel_title").stop(true).animate({
			left: pos+'px'
		}, 300, 'linear', function() {
			$(this).css('left', -pos+'px');
			$("#m3d_carousel_title").html(title);
			if ($('#m3d_carousel_title').css('height') > '30px') {	
				$('#m3d_carousel_title').css('top', '9px');
			} else {
				$('#m3d_carousel_title').css('top', '19px');
			}
			$("#m3d_carousel_title").animate({
				left: '8px'
			}, 300);
		});
		
		$("#m3d_carousel_copy").css('display', 'none');
		$("#m3d_carousel_copy").html(copy);
		$("#m3d_carousel_copy").fadeIn(fadeTime);
		
		$("#m3d_img_new").css({
			'opacity': 0,
			'left': '300px'
		});
		$("#m3d_img_new").attr('src', '');
		$("#m3d_img_new").attr('src', 'img/power_ups/powerup_'+carouselID+'_'+num+'_big.png');
		$("#m3d_img_new").stop(true).delay(200).animate({
			'opacity': 1,
			'left': '410px'
		}, fadeTime, 'easeOutQuad', function() {
			if (carouselID == 'new') showVideo(mediaID);
		});
		if (carouselID == 'classic') showScreenshot(num);		
	}
	
	$('#m3d_carousel_nav a').click(function(){
		setCarousel($(this).attr('id'));
	})
	
	AFX.defineHover('#m3d_carousel_nav a');
})

